### File

`packages/components/eui-tabs-v2/eui-tab-v2/eui-tab-v2.component.ts`

### Implements

`OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiInfo euiSuccess euiWarning euiDanger euiAccent euiVariant
selector | `eui-tab-v2`
template |
    <ng-content/>

### Index

###### Properties
Public baseStatesDirective Public euiVariant$ Public isActive Public isClosable$ Public isDisabled$ Public isVisible$ templateBody templateHeader
###### Methods
Public activateTab Public deactivateTab
###### Inputs
e2eAttr euiVariant id isClosable isDisabled isHandleActivateTab isHandleCloseOnClose isVisible tooltip url

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-tab'`

euiVariant
Type : `any`
Default value : `null`

id
Type : `string`

isClosable
Type : `boolean`
Default value : `false`

isDisabled
Type : `boolean`
Default value : `false`

isHandleActivateTab
Type : `boolean`
Default value : `false`

isHandleCloseOnClose
Type : `boolean`
Default value : `false`

isVisible
Type : `boolean`
Default value : `true`

tooltip
Type : `string`

url
Type : `string`

### Methods

Public activateTab
`activateTab()`
Returns : `void`

Public deactivateTab
`deactivateTab()`
Returns : `void`

### Properties

Public baseStatesDirective
Default value : `inject(BaseStatesDirective)`

Public euiVariant$
Default value : `new BehaviorSubject(this.euiVariant)`

Public isActive
Default value : `false`

Public isClosable$
Default value : `new BehaviorSubject(this.isClosable)`

Public isDisabled$
Default value : `new BehaviorSubject(this.isDisabled)`

Public isVisible$
Default value : `new BehaviorSubject(this.isVisible)`

templateBody
Type : `EuiTabV2BodyComponent`
Decorators : `@ContentChild(undefined)`

templateHeader
Type : `EuiTabV2HeaderComponent`
Decorators : `@ContentChild(undefined)`

# results matching ""

# No results matching ""